Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SetParameterOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SetParameter`, `ClientWireProtocol.SetParameter.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.SetParameterOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.SetParameter.Concurrency` | `getConcurrency()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.ConcurrencyOrBuilder` | `getConcurrencyOrBuilder()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.ForceExternal` | `getForceExternal()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.ForceExternalOrBuilder` | `getForceExternalOrBuilder()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.ParameterCase` | `getParameterCase()` |
`ClientWireProtocol.SetParameter.Priority` | `getPriority()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.PriorityAdjustFactor` | `getPriorityAdjustFactor()` | `.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.PriorityAdjustFactorOrBuilder` | `getPriorityAdjustFactorOrBuilder()` | `.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.PriorityAdjustTime` | `getPriorityAdjustTime()` | `.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.PriorityAdjustTimeOrBuilder` | `getPriorityAdjustTimeOrBuilder()` | `.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.PriorityOrBuilder` | `getPriorityOrBuilder()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.PSOSeed` | `getPsoSeed()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.PSOSeedOrBuilder` | `getPsoSeedOrBuilder()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.PSO` | `getPsoThreshold()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`ClientWireProtocol.SetParameter.PSOOrBuilder` | `getPsoThresholdOrBuilder()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`boolean` | `getReset()` | whether we should reset back to the default, overrides whatever threshold is
`ClientWireProtocol.SetParameter.ResultSetColumnLimit` | `getResultSetColumnLimit()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder` | `getResultSetColumnLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.RowLimit` | `getRowLimit()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`ClientWireProtocol.SetParameter.RowLimitOrBuilder` | `getRowLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimit` | `getTempDiskLimit()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder` | `getTempDiskLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.TimeLimit` | `getTimeLimit()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.TimeLimitOrBuilder` | `getTimeLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`boolean` | `hasConcurrency()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`boolean` | `hasForceExternal()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`boolean` | `hasPriority()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`boolean` | `hasPriorityAdjustFactor()` | `.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`boolean` | `hasPriorityAdjustTime()` | `.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`boolean` | `hasPsoSeed()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`boolean` | `hasPsoThreshold()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`boolean` | `hasResultSetColumnLimit()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`boolean` | `hasRowLimit()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`boolean` | `hasTempDiskLimit()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`boolean` | `hasTimeLimit()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getReset

boolean getReset()

    whether we should reset back to the default, overrides whatever threshold is

`bool reset = 1;`

Returns:
  The reset.

### hasPsoThreshold

boolean hasPsoThreshold()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

Returns:
  Whether the psoThreshold field is set.

### getPsoThreshold

ClientWireProtocol.SetParameter.PSO getPsoThreshold()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

Returns:
  The psoThreshold.

### getPsoThresholdOrBuilder

ClientWireProtocol.SetParameter.PSOOrBuilder getPsoThresholdOrBuilder()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

### hasRowLimit

boolean hasRowLimit()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Returns:
  Whether the rowLimit field is set.

### getRowLimit

ClientWireProtocol.SetParameter.RowLimit getRowLimit()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Returns:
  The rowLimit.

### getRowLimitOrBuilder

ClientWireProtocol.SetParameter.RowLimitOrBuilder getRowLimitOrBuilder()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### hasTimeLimit

boolean hasTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Returns:
  Whether the timeLimit field is set.

### getTimeLimit

ClientWireProtocol.SetParameter.TimeLimit getTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Returns:
  The timeLimit.

### getTimeLimitOrBuilder

ClientWireProtocol.SetParameter.TimeLimitOrBuilder getTimeLimitOrBuilder()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### hasTempDiskLimit

boolean hasTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Returns:
  Whether the tempDiskLimit field is set.

### getTempDiskLimit

ClientWireProtocol.SetParameter.MaxTempDiskLimit getTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Returns:
  The tempDiskLimit.

### getTempDiskLimitOrBuilder

ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder getTempDiskLimitOrBuilder()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### hasPriority

boolean hasPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Returns:
  Whether the priority field is set.

### getPriority

ClientWireProtocol.SetParameter.Priority getPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Returns:
  The priority.

### getPriorityOrBuilder

ClientWireProtocol.SetParameter.PriorityOrBuilder getPriorityOrBuilder()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### hasConcurrency

boolean hasConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Returns:
  Whether the concurrency field is set.

### getConcurrency

ClientWireProtocol.SetParameter.Concurrency getConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Returns:
  The concurrency.

### getConcurrencyOrBuilder

ClientWireProtocol.SetParameter.ConcurrencyOrBuilder getConcurrencyOrBuilder()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### hasPsoSeed

boolean hasPsoSeed()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

Returns:
  Whether the psoSeed field is set.

### getPsoSeed

ClientWireProtocol.SetParameter.PSOSeed getPsoSeed()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

Returns:
  The psoSeed.

### getPsoSeedOrBuilder

ClientWireProtocol.SetParameter.PSOSeedOrBuilder getPsoSeedOrBuilder()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

### hasResultSetColumnLimit

boolean hasResultSetColumnLimit()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Returns:
  Whether the resultSetColumnLimit field is set.

### getResultSetColumnLimit

ClientWireProtocol.SetParameter.ResultSetColumnLimit getResultSetColumnLimit()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Returns:
  The resultSetColumnLimit.

### getResultSetColumnLimitOrBuilder

ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder getResultSetColumnLimitOrBuilder()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### hasForceExternal

boolean hasForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Returns:
  Whether the forceExternal field is set.

### getForceExternal

ClientWireProtocol.SetParameter.ForceExternal getForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Returns:
  The forceExternal.

### getForceExternalOrBuilder

ClientWireProtocol.SetParameter.ForceExternalOrBuilder getForceExternalOrBuilder()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### hasPriorityAdjustFactor

boolean hasPriorityAdjustFactor()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

Returns:
  Whether the priorityAdjustFactor field is set.

### getPriorityAdjustFactor

ClientWireProtocol.SetParameter.PriorityAdjustFactor getPriorityAdjustFactor()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

Returns:
  The priorityAdjustFactor.

### getPriorityAdjustFactorOrBuilder

ClientWireProtocol.SetParameter.PriorityAdjustFactorOrBuilder getPriorityAdjustFactorOrBuilder()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

### hasPriorityAdjustTime

boolean hasPriorityAdjustTime()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

Returns:
  Whether the priorityAdjustTime field is set.

### getPriorityAdjustTime

ClientWireProtocol.SetParameter.PriorityAdjustTime getPriorityAdjustTime()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

Returns:
  The priorityAdjustTime.

### getPriorityAdjustTimeOrBuilder

ClientWireProtocol.SetParameter.PriorityAdjustTimeOrBuilder getPriorityAdjustTimeOrBuilder()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

### getParameterCase

ClientWireProtocol.SetParameter.ParameterCase getParameterCase()